Loading...
Searching...
No Matches
Halide::Internal::Let Struct Reference

A let expression, like you might find in a functional language. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Let:

## Static Public Member Functions

static Expr | make (const std::string &name, Expr value, Expr body)

## Public Attributes

std::string | name
Expr | value
Expr | body
Public Attributes inherited from Halide::Internal::BaseExprNode
Type | type
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes

static const IRNodeType | _node_type = IRNodeType::Let

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::ExprNode< Let >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Expr | mutate_expr (IRMutator *v) const override
| ExprNode ()
| ~ExprNode () override=default
Public Member Functions inherited from Halide::Internal::BaseExprNode
| BaseExprNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

A let expression, like you might find in a functional language.

Within the expression Let::body, instances of the Var node Let::name refer to Let::value.

Definition at line 271 of file IR.h.

## Member Function Documentation

## make()

Expr Halide::Internal::Let::make | ( | const std::string & | name,
|  | Expr | value,
|  | Expr | body )

static

References body, name, and value.

## Member Data Documentation

## name

std::string Halide::Internal::Let::name

Definition at line 272 of file IR.h.

Referenced by make().

## value

Expr Halide::Internal::Let::value

Definition at line 273 of file IR.h.

Referenced by make().

## body

Expr Halide::Internal::Let::body

Definition at line 273 of file IR.h.

Referenced by make().

## _node_type

const IRNodeType Halide::Internal::Let::_node_type = IRNodeType::Let

static

Definition at line 277 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h